import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { OverlayService } from '@aztrix/components/overlay';
import * as i0 from "@angular/core";
export declare class ColorSelectComponent implements OnChanges {
    private _elementRef;
    private _overlay;
    form: FormControl<string> | undefined | null;
    predefinedColors?: string[];
    canClear: boolean;
    private _subscription;
    private _form$;
    private _predefinedColors$;
    customBackgroundColor$: import("rxjs").Observable<string>;
    customBackgroundFontColor$: import("rxjs").Observable<"#fff" | "#000">;
    constructor(_elementRef: ElementRef, _overlay: OverlayService);
    ngOnChanges(changes: SimpleChanges): void;
    openColorPickerModal(): void;
    clear(): void;
    setValue(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColorSelectComponent, "ax-color-select", never, { "form": { "alias": "form"; "required": false; }; "predefinedColors": { "alias": "predefinedColors"; "required": false; }; "canClear": { "alias": "canClear"; "required": false; }; }, {}, never, never, false, never>;
}
